Eclipse Platform Release 3.7

## org.eclipse.ui.forms.widgets
Class TreeNode

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.widgets.Canvas
                          org.eclipse.ui.forms.widgets.AbstractHyperlink
                              org.eclipse.ui.forms.widgets.ToggleHyperlink
                                  org.eclipse.ui.forms.widgets.TreeNode

All Implemented Interfaces:
  Drawable

    public class TreeNode

extends ToggleHyperlink

A custom selectable control that can be used to control areas that can be expanded or collapsed. The control control can be toggled between selected and deselected state with a mouse or by pressing 'Enter' while the control has focus.

The control is rendered as box with a '+' or '-' sign, depending on the expansion state. Focus indication is rendered around the box when the control has keyboard focus.

Styles:
  None

Since:
  3.0
See Also:
  `Twistie`

Field Summary

Fields inherited from class org.eclipse.ui.forms.widgets.ToggleHyperlink
`hover, innerHeight, innerWidth`

Fields inherited from class org.eclipse.ui.forms.widgets.AbstractHyperlink
`marginHeight, marginWidth`

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`TreeNode(Composite parent, int style)` Creates a control in a provided composite.

Method Summary
`protected void` `paint(PaintEvent e)` Paints the control as a reaction to the provided paint event.
`protected void` `paintHyperlink(GC gc)` Paints the hyperlink as a reaction to the provided paint event.

Methods inherited from class org.eclipse.ui.forms.widgets.ToggleHyperlink
`computeSize, geHoverDecorationColor, getDecorationColor, getHoverDecorationColor, isExpanded, setDecorationColor, setExpanded, setHoverDecorationColor`

Methods inherited from class org.eclipse.ui.forms.widgets.AbstractHyperlink
`addHyperlinkListener, getHref, getSelection, getText, handleActivate, handleEnter, handleExit, removeHyperlinkListener, setEnabled, setHref`

Methods inherited from class org.eclipse.swt.widgets.Canvas
`drawBackground, getCaret, getIME, scroll, setCaret, setFont, setIME`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeNode

    public TreeNode(Composite parent,
                    int style)

  Creates a control in a provided composite.

  Parameters:
    `parent` - the parent
    `style` - the style

Method Detail

### paint

    protected void paint(PaintEvent e)

  Description copied from class: `AbstractHyperlink`
  Paints the control as a reaction to the provided paint event.

  Overrides:
    `paint` in class `AbstractHyperlink`
  Parameters:
    `e` - the paint event

### paintHyperlink

    protected void paintHyperlink(GC gc)

  Description copied from class: `AbstractHyperlink`
  Paints the hyperlink as a reaction to the provided paint event.

  Specified by:
    `paintHyperlink` in class `AbstractHyperlink`
  Parameters:
    `gc` - graphic context

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.